﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LibOfdPrinterParam
{
    /// <summary>
    /// 客户端与服务端web api接口定义
    /// </summary>

    /*******************客户端发送数据***************************/

    public class OfdPrinterInput
    {    
        public string ClientData { get; set; }           //客户端数据，服务端会将此数据原样返回
        public OfdPrinterParam PrinterParam { get; set; } //打印参数设置

        public List<OfdPrinterFileInput> ListOfdFileInput { get; set; } = new List<OfdPrinterFileInput>();
    }

    public class OfdPrinterParam
    {
        public string PrinterName { get; set; }          //打印机名称，如果为空，则使用服务端设置的打印机名称
        public int PageCountPerPaper { get; set; }      //每张纸打印几张，只对发票第一页有效，页尺寸为 210 140

        //以下两个参数，对页面大小为210 140有效。且PageCountPerPaper=1
        public bool IsAlignCenter { get; set; }         //是否居中
        public bool IsRotation { get; set; }            //是否旋转
        public bool IsScaleToPaper { get; set; }        //缩放适合纸张
    }

    public class OfdPrinterFileInput
    {
        public int PrintCount { get; set; } = 1;    //打印份数
        public string OfdFileID { get; set; }       //文件唯一标识，可以为guid。
        public string FileName { get; set; }        //文件名
        public string OfdFileDataBase64 { get; set; } //ofd文件数据
    }

    /*******************服务端返回数据***************************/
    public class OfdPrinterOutput
    {
        public string ClientData { get; set; }
        public List<OfdPrinterFileOutput> ListOfdFileOutput { get; set; } = new List<OfdPrinterFileOutput>();
        public string ServerData { get; set; }  //服务端返回的其它数据
    }

    public class OfdPrinterFileOutput
    {
        public bool OK { get; set; }            //打印是否成功
        public string Message { get; set; }     //提示信息

        public string OfdFileID { get; set; }   //文件id
        public string FileName { get; set; }    //文件名称
    }
}
